Subject: RE: [Catalina22] old switch panel wireing

From: [email-masked]
Date: Tue, 26 Apr 2005 00:11:07 -0400

Paul~~

Welcome aboard!

Here's some schmetics and other electrical info on the C22. This should help.

Fair winds,
Dan Schafer
Traverse City, MI
"SeaBatical"

"Paul Taylor" <[email-masked]> wrote:

>I am Paul Taylor, proud new owner of a 1976 C-22 . I bought a new battery
>for my
>boat the other day and hooked it up with absolutely no results. I tracked
>the problem down to corroded switches and fuses. I took them apart, replaced
>the switches with new ones and cleaned up the fuse holders so they will work
>fine now. My problem is... I didn't take a picture my stock switch panel
>before dismantling it.
>Does anyone know where I can find a picture of an old switch panel that is
>wired up properly?
>
>Thanks,
>
>Paul Taylor
>Respite 5431
>Myrtle Point, OR
>
>
>
>
>
>
>------------------------------------------------------------------------------------
>For information on unsubscribing or contacting the list owner, go to:
>www.chipford.com/list_instructs.htm
>

__________________________________________________________________
Switch to Netscape Internet Service.
As low as $9.95 a month -- Sign up today at http://isp.netscape.com/register

Netscape. Just the Net You Need.

New! Netscape Toolbar for Internet Explorer
Search from anywhere on the Web and block those annoying pop-ups.
Download now at http://channels.netscape.com/ns/search/install.jsp

------------------------------------------------------------------------------------
For information on unsubscribing or contacting the list owner, go to:
www.chipford.com/list_instructs.htm